MediaWiki:Font.css

From Honkai: Nexus Anima Wiki
Revision as of 12:07, 30 August 2025 by ReinDevildom (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');


/* Include RubikSupplement in font family list */
body.skin-fandomdesktop, button, input, textarea, body.rubik {
    font-family: "Quicksand", sans-serif !important;
}

/* Other Languages */
*[lang='zh'], *[lang='zh-Hans'], *[lang='yue'] {
    font-family: 'Noto Sans SC', sans-serif !important;
}

*[lang='zh-Hant'] {
    font-family: 'Noto Sans TC', sans-serif !important;
}

*[lang='ja'], *[lang='ain'], *[lang='ojp'] {
    font-family: 'Noto Sans JP', sans-serif !important;
}

*[lang='ko'] {
    font-family: 'Noto Sans KR', sans-serif !important;
}

*[lang='th'] {
    font-family: 'Noto Sans', 'Noto Sans Thai', sans-serif !important;
}

*[lang='ae'] {
    font-family: 'Noto Sans Avestan', sans-serif !important;
}

*[lang='he'] {
    font-family: 'Noto Sans Hebrew', sans-serif !important;
}

/* Headers */
h1, h2, header, .header,
.portable-infobox h2.pi-title.pi-item,
.portable-infobox h2.pi-header.pi-item,
div.section-header-label {
    font-family: "Quicksand", sans-serif !important;
    font-weight: 700 !important;
    font-style: normal !important
}
 
.mw-headline {
    font-family: "Quicksand", sans-serif !important;
}